# Created by pyp2rpm-3.3.2
%global pypi_name nose-ignore-docstring

Name:           python-%{pypi_name}
Version:        0.2
Release:        %mkrel 6
Summary:        Ignore docstring to name tests in nose
Group:          Development/Python
License:        MIT
URL:            https://github.com/schlamar/nose-ignore-docstring
Source0:        https://files.pythonhosted.org/packages/source/n/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
Nose ignore docstrings This is a plugin for nose. If this plugin is active,
nose doesn't use docstrings to name tests. Installation You can install or
upgrade nose-ignore-docstring with these commands:: $ pip install nose-ignore-
docstring $ pip install --upgrade nose-ignore-docstringUsage Pass the --with-
ignore- docstrings option to nosetests:: $ nosetests --with-ignore-docstrings
-v Or define...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(setuptools)
%description -n python3-%{pypi_name}
Nose ignore docstrings This is a plugin for nose. If this plugin is active,
nose doesn't use docstrings to name tests. Installation You can install or
upgrade nose-ignore-docstring with these commands:: $ pip install nose-ignore-
docstring $ pip install --upgrade nose-ignore-docstringUsage Pass the --with-
ignore- docstrings option to nosetests:: $ nosetests --with-ignore-docstrings
-v Or define...


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc README.rst
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/nose_ignoredoc.py
%{python3_sitelib}/nose_ignore_docstring-%{version}-py%{python3_version}.egg-info


%changelog
* Wed Mar 23 2022 umeabot <umeabot> 0.2-6.mga9
+ Revision: 1823554
- Mageia 9 Mass Rebuild

* Wed Feb 23 2022 mrambo3501 <mrambo3501> 0.2-5.mga9
+ Revision: 1783616
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 0.2-4.mga9
+ Revision: 1732843
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.2-3.mga8
+ Revision: 1532188
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 daviddavid <daviddavid> 0.2-2.mga8
+ Revision: 1441984
- rebuild for python3.8

* Fri Jul 19 2019 shlomif <shlomif> 0.2-1.mga8
+ Revision: 1422855
- pyp2rpm

